@import "src/sass/abstracts/abstracts";

:host {
  .status {
    border-radius: 4px;
    padding: 0 5px;
    color: $white;
    width: 60px;
    display: inline-block;
    text-align: center;
    margin-right: 20px;
    font-weight: bold;

    &.is-up {
      background-color: $success;
    }

    &.is-down {
      background-color: $error;
    }
  }

  li {
    padding: 2px 5px;

    &:nth-child(even) {
      background-color: $extra-ultra-light-grey;
    }
  }

  .link {
    text-transform: capitalize;
  }
}

@include isInDarkMode {
  li {
    &:nth-child(even) {
      background-color: $dark-mode-toolbar;
    }
  }
}
